New fields: ar_id, el_id.
Closed, ResolvedPublic

Description

Schema Change:

All wikis
tables: archive, externallinks, external_user (new)
changes: New fields: ar_id, el_id.
status: Needs review
links: gerrit change 51675, bug 15441, bug 39675


Version: unspecified
Severity: normal

bzimport set Reference to bz49189.
greg created this task.Via LegacyJun 5 2013, 4:58 PM
greg added a comment.Via ConduitJun 8 2013, 8:26 PM

Reedy: adding you on CC since you own the patch. Do you have a priority/importance for this schema change?

Reedy added a comment.Via ConduitJun 27 2013, 7:46 PM

(In reply to comment #1)

Reedy: adding you on CC since you own the patch. Do you have a
priority/importance for this schema change?

Not really. Long overdue more than anything.

Merging that patch wouldn't make any difference to core as it's not currently used. But likelihood that it would start being used properly, even more when there'

Reedy added a comment.Via ConduitJun 27 2013, 8:23 PM

(In reply to comment #2)

Merging that patch wouldn't make any difference to core as it's not currently
used. But likelihood that it would start being used properly, even more when
there'

There's a script to back populate the ar_len field. To populate this easily/efficiently, this PK is really needed

greg added a comment.Via ConduitJul 10 2013, 3:39 PM
  • Bug 49198 has been marked as a duplicate of this bug. ***
coren added a comment.Via ConduitOct 30 2013, 2:24 PM

As a reminder, replicated a redacted version of archive to labs is pending on the addition of the primary key on archive.

Springle added a comment.Via ConduitOct 31 2013, 8:26 AM

ar_id has been added to all wikis except enwiki where it's still in progress. Another day or so required there as I have it well dialed back to avoid lagging slaves.

el_id change will begin afterwards.

It's slow going because the online alteration method I'm using is two-stage to compensate for the lack of primary and unique keys.

In hindsight altering these two tables online hasn't really saved much wall-clock time compared to altering tables on slaves and rotating masters, but it has nicely avoided any client disruption.

yuvipanda added a comment.Via ConduitNov 22 2013, 11:17 PM

@Sean: Any update on this?

Springle added a comment.Via ConduitNov 25 2013, 4:49 AM

el_id still remains to be added to several of the larger wikis, including enwiki. Other issues have put this process on (hopefully brief) hold.

Umherirrender added a comment.Via ConduitJan 15 2014, 7:54 PM

Increase priority, because a change to master was merged, where the new field el_id is needed. To avoid fatal on wmf branch a fix is needed, see gerrit 105243, or the revert gerrit 107415 or bug 58435.

Reedy added a comment.Via ConduitJan 15 2014, 8:11 PM

Anyone got a time machine?

Sean, where are we up to now? I know domas killed one alter..

Springle added a comment.Via ConduitJan 16 2014, 5:56 AM

Yes, one schema change job broke replication so the others were put on hold. The remaining wikis are:

enwiki
commonswiki
frwiki
itwiki
nlwiki
plwiki

I'll need to do master rotations for these.

Higher priority noted.

Springle added a comment.Via ConduitFeb 10 2014, 4:35 AM

This is now complete. All wikis have both ar_id and el_id.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.